SystemOrganization addCategory: #'JQueryMobile-UI-Widgets'!

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/1/2011 02:47'!
jqmButton
	^ self create: JQMButton! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/1/2011 08:08'!
jqmCheckboxRadio
	^ self create: JQMCheckboxRadioButton! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/29/2011 12:49'!
jqmCollapsible
	^ self create: JQMCollapsible! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/29/2011 12:49'!
jqmCollapsibleSet
	^ self create: JQMCollapsibleSet! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/29/2011 12:56'!
jqmDialog
	^ self create: JQMDialog! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/29/2011 13:01'!
jqmFieldContainer
	^ self create: JQMFieldContainer! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/29/2011 13:03'!
jqmFooter
	^ self create: JQMFooter! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/29/2011 13:07'!
jqmHeader
	^ self create: JQMHeader! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/29/2011 00:14'!
jqmListView
	^ self create: JQMListView! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/1/2011 02:48'!
jqmSelect
	^ self create: JQMSelect! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/1/2011 07:55'!
jqmSlider
	^ self create: JQMSlider! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/1/2011 02:48'!
jqmTextInput
	^ self create: JQMTextInput! !

!GRPackage class methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 1/6/2012 17:56'!
jQueryMobileUIWidgets
	^ self new
		name: 'JQueryMobile-UI-Widgets';
		description: 'jQueryMobile widgets';
		addDependency: 'JQuery-Core';
		addDependency: 'JQuery-UI';
		url: #seasideUrl;
		yourself! !

JQWidget subclass: #JQMWidget
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

JQMWidget subclass: #JQMButtonSelectBase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMButtonSelectBase commentStamp: 'NickAger 11/1/2011 02:10' prior: 0!
http://jquerymobile.com/test/docs/buttons/buttons-options.html!

JQMButtonSelectBase subclass: #JQMButton
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMButton methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:21'!
disableAjax
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'ajax' put: 'false'! !

!JQMButton methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:21'!
domCache
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'dom-cache' put: 'true'! !

!JQMButton methodsFor: 'accessing' stamp: 'NickAger 11/1/2011 02:44'!
method
	^ 'button'! !

!JQMButton methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:23'!
prefetch
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'prefetch' put: 'true'! !

!JQMButton methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:24'!
relationship: relationship
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'relationship' put: relationship! !

!JQMButton methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:21'!
reverse
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'direction' put: 'reverse'! !

!JQMButtonSelectBase methodsFor: 'options' stamp: 'NickAger 11/1/2011 01:29'!
corners: aBoolean
	"default: true Applies the theme button border-radius if set to true. This option is also exposed as a data attribute: data-corners='false'"
	self optionAt: 'corners' put: aBoolean! !

!JQMButtonSelectBase methodsFor: 'options' stamp: 'NickAger 11/1/2011 01:31'!
icon: aString
	"default: null - Applies an icon from the icon set. This option is also exposed as a data attribute: data-icon='star'"
	self optionAt: 'icon' put: aString! !

!JQMButtonSelectBase methodsFor: 'options' stamp: 'NickAger 11/1/2011 01:38'!
iconPosition: aString
	"default: 'left'
	Positions the icon in the button. Possible values: left, right, none, notext. 
	The notext value will display an icon-only button with no text feedback. This option is also exposed as a data attribute: data-iconpos='left'"
	
	self optionAt: 'iconpos' put: aString! !

!JQMButtonSelectBase methodsFor: 'options' stamp: 'NickAger 11/1/2011 01:38'!
iconShadow: aBoolean
	"default: true
	Applies the theme shadow to the button's icon if set to true. This option is also exposed as a data attribute: data-iconshadow='false'"	
	self optionAt: 'iconshadow' put: aBoolean! !

!JQMButtonSelectBase methodsFor: 'options' stamp: 'NickAger 11/1/2011 01:39'!
inline: aBoolean
	"default: null (false)
	If set to true, this will make the button act like an inline button so the width is determined by the button's text. 
	By default, this is null (false) so the button is full width, regardless of the feedback content. Possible values: true, false. 
	This option is also exposed as a data attribute: data-inline='true'"
	self optionAt: 'inline' put: aBoolean! !

!JQMButtonSelectBase methodsFor: 'options' stamp: 'NickAger 11/1/2011 02:10'!
shadow: aBoolean
	"default: true
	Applies the drop shadow style to the button if set to true. 
	This option is also exposed as a data attribute: data-shadow='false'"
	self optionAt: 'shadow' put: aBoolean! !

JQMButtonSelectBase subclass: #JQMSelect
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMSelect methodsFor: 'accessing' stamp: 'NickAger 11/1/2011 02:44'!
method
	^ 'selectmenu'! !

!JQMSelect methodsFor: 'options' stamp: 'NickAger 11/1/2011 02:46'!
nativeMenu: aBoolean
	"default: true
	When set to true, clicking the custom-styled select menu will open the native select menu
	which is best for performance. If set to false, the custom select menu style will be used 
	instead of the native menu. This option is also exposed as a data attribute: data-native-menu='false'"
	self optionAt: 'nativeMenu' put: aBoolean
! !

JQMWidget subclass: #JQMCheckboxRadioButton
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMCheckboxRadioButton methodsFor: 'accessing' stamp: 'NickAger 11/1/2011 02:41'!
method
	^ 'checkboxradio'! !

JQMWidget subclass: #JQMCollapsibleBase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

JQMCollapsibleBase subclass: #JQMCollapsible
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMCollapsible methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:21'!
collapsed: isCollapsedBoolean
	"*default: true, Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'collapsed' put: isCollapsedBoolean! !

!JQMCollapsible methodsFor: 'accessing' stamp: 'NickAger 11/29/2011 12:41'!
method
	^ 'collapsible'! !

!JQMCollapsibleBase methodsFor: 'options' stamp: 'NickAger 11/29/2011 12:43'!
contentTheme: aThemeLetterString
	"*swatch letter (a-z)>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'content-theme' put: aThemeLetterString! !

JQMCollapsibleBase subclass: #JQMCollapsibleSet
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMCollapsibleSet methodsFor: 'accessing' stamp: 'NickAger 11/29/2011 12:41'!
method
	^ 'collapsible-set'! !

JQMWidget subclass: #JQMDialog
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMDialog methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:21'!
closeButtonText: text
	"*text for the close button, Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'close-btn-text' put: text
! !

!JQMDialog methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:20'!
domCache
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'dom-cache' put: 'true'
! !

!JQMDialog methodsFor: 'options' stamp: 'NickAger 11/29/2011 12:59'!
fullscreen: aBoolean
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'fullscreen' put: aBoolean
! !

!JQMDialog methodsFor: 'accessing' stamp: 'NickAger 11/29/2011 12:51'!
method
	^ 'dialog'! !

!JQMDialog methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:00'!
overlayTheme: aTheme
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'overlay-theme' put: aTheme
! !

!JQMDialog methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:01'!
title: title
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'title' put: title
! !

JQMWidget subclass: #JQMFieldContainer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMFieldContainer methodsFor: 'accessing' stamp: 'NickAger 11/29/2011 13:02'!
method
	^ 'fieldcontain'! !

JQMWidget subclass: #JQMHeaderFooterBase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

JQMHeaderFooterBase subclass: #JQMFooter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMFooter methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:06'!
footerId: anId
	"*useful in persistent footers Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'id' put: anId
	! !

!JQMFooter methodsFor: 'accessing' stamp: 'NickAger 11/29/2011 13:03'!
method
	^ 'footer'! !

JQMHeaderFooterBase subclass: #JQMHeader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMHeader methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:09'!
addBackButton
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'add-back-btn' put: 'true'! !

!JQMHeader methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:10'!
backButtonText: buttonText
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'back-btn-text' put: buttonText! !

!JQMHeader methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:10'!
backButtonTheme: buttonTheme
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'back-btn-theme' put: buttonTheme! !

!JQMHeader methodsFor: 'accessing' stamp: 'NickAger 11/29/2011 13:07'!
method
	^ 'header'! !

!JQMHeader methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:12'!
title: aTitle
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'title' put: aTitle! !

!JQMHeaderFooterBase methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:12'!
fixedPosition
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'position' put: 'fixed'
	! !

JQMWidget subclass: #JQMListView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMListView methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:27'!
countTheme: aThemeLetterString
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'dividertheme' put: aThemeLetterString! !

!JQMListView methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:27'!
dividerTheme: aThemeLetterString
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'dividertheme' put: aThemeLetterString! !

!JQMListView methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:29'!
enableListFilter
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'filter' put: 'true'! !

!JQMListView methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:29'!
filterPlaceHolder: placeholderString
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'filter-placeholder' put: placeholderString! !

!JQMListView methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:30'!
filterTheme: aThemeLetterString
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'filter-theme' put: aThemeLetterString! !

!JQMListView methodsFor: 'options' stamp: 'NickAger 11/29/2011 00:22'!
inset: aBoolean
	self optionAt: 'inset' put: aBoolean! !

!JQMListView methodsFor: 'accessing' stamp: 'NickAger 11/29/2011 00:14'!
method
	^ 'listview'! !

!JQMListView methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:31'!
splitIcon: anIcon
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	self optionAt: 'split-icon' put: anIcon! !

JQMWidget subclass: #JQMSlider
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMSlider methodsFor: 'accessing' stamp: 'NickAger 11/1/2011 02:30'!
method
	^ 'slider'! !

!JQMSlider methodsFor: 'options' stamp: 'NickAger 11/29/2011 13:03'!
trackTheme: aString
	"default: null, inherited from parent
	Sets the color scheme (swatch) for the slider's track, specifically. It accepts a single letter from a-z 
	that maps to the swatches included in your theme"
	self optionAt: 'track-theme' put: aString! !

JQMWidget subclass: #JQMTextInput
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMTextInput methodsFor: 'accessing' stamp: 'NickAger 11/1/2011 02:29'!
method
	^ 'textinput'! !

!JQMWidget methodsFor: 'methods' stamp: 'NickAger 11/1/2011 02:28'!
refresh
	self action: 'refresh'! !

!JQMWidget methodsFor: 'options' stamp: 'NickAger 11/1/2011 02:28'!
theme: aString
	"default: null, inherited from parent
	Sets the color scheme (swatch) for all instances of this widget. It accepts a single letter from a-z that maps to the swatches
	included in your theme. By default, it will inherit the same swatch color as it's parent container if not explicitly set. 
	This option is also exposed as a data attribute: data-theme='a'"
	self optionAt: 'theme' put: aString! !
